Skip to main content
DELETE
/
v1
/
invoices
/
{id}
/
archive
Unarchive an invoice (idempotent)
curl --request DELETE \
  --url https://dev.flextell.ai/api/v1/invoices/{id}/archive \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "document_number": "<string>",
    "document_class": "<string>",
    "document_type": "<string>",
    "profile_id": "<string>",
    "issue_date": "2023-11-07T05:31:56Z",
    "sent_at": "2023-11-07T05:31:56Z",
    "sender_tax_number": "<string>",
    "receiver_name": "<string>",
    "receiver_tax_number": "<string>",
    "receiver_email": "<string>",
    "exchange_rate": "<string>",
    "amount_tax_exclusive": "<string>",
    "amount_tax_total": "<string>",
    "amount_payable": "<string>",
    "invoice_amount": "<string>",
    "status": "<string>",
    "status_label": "<string>",
    "is_printed": true,
    "is_cancelled": true,
    "is_read": true,
    "is_draft": true,
    "is_archived": true,
    "series_name": "<string>",
    "notes": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "customer": {
      "id": 123,
      "tenant_id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "email": "<string>",
      "date_of_birth": "2023-11-07T05:31:56Z",
      "country_id": 123,
      "identity_number": "<string>",
      "job": "<string>",
      "address": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "avatar_url": "<string>",
      "avatar_updated_at": "2023-11-07T05:31:56Z",
      "user_id": 123,
      "city_id": 123,
      "district_id": 123,
      "import_source_id": 123,
      "passport_number": "<string>",
      "search_vector": "<string>",
      "is_intake_completed": true,
      "default_channel_id": 123
    },
    "currency": {
      "id": 123,
      "name": "<string>",
      "code": "<string>",
      "symbol": "<string>",
      "is_active": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "locale": "<string>",
      "search_vector": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The invoice identifier

Query Parameters

id
integer
required

The invoice unarchive identifier.

Required range: x >= 1

Response

success
string
required
data
InvoiceResource · object
required